package com.spring.series.bean.lifecycle;

import org.springframework.beans.BeansException;
import org.springframework.beans.factory.config.BeanPostProcessor;

public class SpringBeanPostProcessor implements BeanPostProcessor {

	@Override
	public Object postProcessBeforeInitialization(Object bean, String beanName) throws BeansException {
		System.out.println("\n**********BeanPostProcessor postProcessBeforeInitialization**********");
		System.out.println("Bean \"" + beanName + "\" created before lifecylce mechanism : " + bean.toString());
		System.out.println("*********************************************************************\n");
		return bean;
	}

	@Override
	public Object postProcessAfterInitialization(Object bean, String beanName) throws BeansException {
		System.out.println("\n**********BeanPostProcessor postProcessAfterInitialization**********");
		System.out.println("Bean \"" + beanName + "\" created : " + bean.toString());
		System.out.println("*********************************************************************\n");
		return bean;
	}
}