package com.spring.series.bean.lifecycle;

import org.springframework.context.support.AbstractApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class TestSpringBeanLifecycle {

	public static void main(String[] args) {
		testSpringBeanLifecycle();
	}

	private static void testSpringBeanLifecycle(){

		// loading spring context xml from classpath
		AbstractApplicationContext abstractApplicationContext = new ClassPathXmlApplicationContext("com/spring/series/bean/lifecycle/SpringContext.xml");

		// getting bean from XML & cast it
		Employee employee = (Employee) abstractApplicationContext.getBean("employee");

		// invoking business method of Employee bean
		employee.printEmployeeDetails();

		// registering to shutdown the bean - destroying explicitly the bean from Spring IOC container
		abstractApplicationContext.registerShutdownHook();
	}
}